Name:          jackrabbit
Version:       2.4.2
Release:       9%{?dist}
Summary:       Implementation of the Content Repository for Java Technology API
License:       ASL 2.0
URL:           http://jackrabbit.apache.org/
Source0:       http://archive.apache.org/dist/%{name}/%{version}/%{name}-%{version}-src.zip
# build fix for servlet 2.5
Patch0:        0001-Conform-to-newer-servlet-API.patch
# build fix for servlet 3.0
Patch1:        jackrabbit-2.4.2-servlet30.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
# main deps
BuildRequires: mvn(biz.aQute:bndlib)
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(ch.qos.logback:logback-classic)

BuildRequires: maven-local

Requires:      jpackage-utills

%description
The Apache Jackrabbit content repository is a fully conforming implementation 
of the Content Repository for Java Technology API (JCR, specified in JSR 170 
and 283).

A content repository is a hierarchical content store with support for 
structured and unstructured content, full text search, versioning, 
transactions, observation, and more.

%package webdav
Summary:       Jackrabbit WebDAV Library

%description webdav
This is the WebDAV Library component of the Apache Jackrabbit project. This 
component provides interfaces and common utility classes used for building a 
WebDAV server or client.

%package webdav-javadoc
Summary:       Javadoc for %{name}-webdav

%description webdav-javadoc
This package contains the API documentation for %{name}-webdav.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%pom_remove_dep javax.servlet:servlet-api %{name}-webdav
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided %{name}-webdav
%pom_remove_plugin :clirr-maven-plugin %{name}-webdav
%pom_xpath_remove "pom:modules/pom:module"
%pom_xpath_inject "pom:modules" "
<module>%{name}-webdav</module>"
%pom_remove_parent %{name}-webdav
%pom_xpath_inject "pom:project" "
<groupId>org.apache.jackrabbit</groupId>
<version>%{version}</version>"  %{name}-webdav

%build

%mvn_file :%{name}-webdav %{name}-webdav
%mvn_package :%{name}-webdav webdav
%mvn_package :%{name} __noinstall
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files webdav -f .mfiles-webdav
%doc NOTICE.txt LICENSE.txt
%doc %{name}-webdav/README.txt

%files webdav-javadoc -f .mfiles-javadoc
%doc NOTICE.txt LICENSE.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.4.2-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 01 2013 gil cattaneo <puntogil@libero.it> 2.4.2-6
- rebuilt with tomcat-servlet-3.0-api support

* Sat Feb 16 2013 gil cattaneo <puntogil@libero.it> 2.4.2-5
- build fix for f19

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.4.2-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Aug 09 2012 Lubomir Rintel <lkundrak@v3.sk> - 2.4.2-2
- Fix a typo

* Fri Aug 03 2012 Lubomir Rintel <lkundrak@v3.sk> - 2.4.2-1
- Package and build jackrabbit-webdav.